Skip to navigation

List async embedding tasks

This method returns a list of the async embedding tasks in your account. The platform returns your async embedding tasks sorted by creation date, with the newest at the top of the list.

Notes
  • Embeddings are stored for seven days.
  • When you invoke this method without specifying the started_at and ended_at parameters, the platform returns all the async embedding tasks created within the last seven days.

Authentication

x-api-keystring

Your API key.

Note

You can find your API key on the API Keys page.

Query parameters

started_atstringOptional

Retrieve the embedding tasks that were created after the given date and time, expressed in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ").

ended_atstringOptional

Retrieve the embedding tasks that were created before the given date and time, expressed in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ").

statusstringOptional

Filter the embedding tasks by their current status.

Values: processing, ready, or failed.

pageintegerOptionalDefaults to 1

A number that identifies the page to retrieve.

Default: 1.

page_limitintegerOptionalDefaults to 10

The number of items to return on each page.

Default: 10. Max: 50.

Response

A list of async embedding tasks has successfully been retrieved.
datalist of objectsOptional

An array that contains up to page_limit embedding tasks.

page_infoobjectOptional
An object that provides information about pagination.

Errors

400
Bad Request Error